Page MenuHomePhabricator

Page Curation messages should be configurable
Closed, ResolvedPublic

Description

The Page Curation tool automatically places a number of messages on user talk pages (e.g. a page you created has been reviewed, a page you reviewed has been unreviewed). The text of these messages appears to be hard-coded into the tool. Editors have raised a number of issues with them, including awkward wording, lack of signatures, and inconsistency with other forms of semi-automated messaging.

A straightforward solution would be to make these messages configurable locally on enwiki. Presumably, this could be as simple as have the tool place a subst'd template rather than raw text.

Background:
https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Suggested_improvements#37._Page_Curation_messages
https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Suggested_improvements#60._Add_information_link_to_'Notices'_message_sent_to_article_creator
https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Suggested_improvements#62._%22on_behalf_of%22
https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Suggested_improvements#69._Passive_aggressive_messaging_system

Event Timeline

joeroe created this task.Sep 17 2018, 6:12 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 17 2018, 6:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I too seek for the attention of developers onto the issue.This ought be easily doable or do I think.

If you think that it's "easy" please consider providing a patch for review. You're also free to vote for this issue in the next Community Wishlist Survey. Please avoid adding "me too" comments to tasks. Thanks a lot!

It was my understanding that this was already possible through MediaWiki:PageTriageExternalTagsOptions.js and MediaWiki:PageTriageExternalDeletionTagsOptions.js

@Vexations Unless I'm missing something, those files only cover the names and descriptions of tags (hence the name). I don't see any of the message texts there.

Bazj added a subscriber: Bazj.Oct 18 2018, 7:29 PM

It has also been suggested that the messages should be configurable for users of different experience levels. (an editor that is newly autoconfirmed should receive a different message than an autopatrolled user).

See: https://en.wikipedia.org/wiki/Wikipedia:Page_Curation/Suggested_improvements#49._Notifying_creators_of_tags

Galobtter closed this task as Resolved.Oct 28 2018, 6:25 AM
Galobtter added a subscriber: Galobtter.

Indeed already configurable on-wiki through Template:Reviewednote-NPF and Template:Unreviewednonote-NPF (Messages for deletion tags, along with what appears to be every type of message sent, are also configureable, e.g Template:Empty-warn-NPF)